Loading...
Searching...
No Matches
Dune::PseudoFuture< void > Class Reference

`#include <dune/common/parallel/future.hh>`

Inheritance diagram for Dune::PseudoFuture< void >:

## Public Member Functions

| PseudoFuture (bool valid=false)
void | wait ()
bool | ready () const
void | get ()
bool | valid () const

## Constructor & Destructor Documentation

## PseudoFuture()

Dune::PseudoFuture< void >::PseudoFuture | ( | bool | valid = false | ) |

inline

## Member Function Documentation

## get()

void Dune::PseudoFuture< void >::get | ( |  | ) |

inline

## ready()

bool Dune::PseudoFuture< void >::ready | ( |  | ) | const

inline

## valid()

bool Dune::PseudoFuture< void >::valid | ( |  | ) | const

inline

## wait()

void Dune::PseudoFuture< void >::wait | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- future.hh